Questions & Answers

Will firmware 4.18 work with a 2004 Buick Regal?

0 votes
The evo-all that I have has the 4.18 firmware hardware vr 6.Looks like I will need the 4.06 for a 2004 buick Regal,just need someone to confirm that for me.Thank you
asked Jan 16, 2015 in Buick by Mike Rogers (270 points)

1 Answer

0 votes
the J1850 databus found in older GM/Chrysler vehicles requires firmware 4.06
answered Jan 16, 2015 by Robb (189,130 points)
...